%define debug_package %{nil}

%global commit             b94e044bb51ec8f5a7232c71b1ed05dbe4da96ce
%global shortcommit        %(c=%{commit}; echo ${c:0:7})

Name:	        cfssl
Version:	1.3.2
Release:	1.1.git%{shortcommit}%{?dist}
Summary:	Cloudflare's PKI and TLS toolkit

Group:		Development/Tools
License:	BSD-2-Clause
URL:		https://github.com/cloudflare/cfssl
Source0:	%{name}.tar.gz
Source1:	download-sources.sh
BuildRoot:      %{name}
BuildRequires:  golang >= 1.6

%description
CFSSL is CloudFlare's PKI/TLS swiss army knife. It is both a command line tool
and an HTTP API server for signing, verifying, and bundling TLS certificates.
It requires Go 1.6+ to build.

Note that certain linux distributions have certain algorithms removed
(RHEL-based distributions in particular), so the golang from the official
repositories will not work. Users of these distributions should install go
manually to install CFSSL.

CFSSL consists of:

* a set of packages useful for building custom TLS PKI tools
* the cfssl program, which is the canonical command line utility using the
  CFSSL packages.
* the multirootca program, which is a certificate authority server that can
  use multiple signing keys.
* the mkbundle program is used to build certificate pool bundles.
* the cfssljson program, which takes the JSON output from the cfssl and
  multirootca programs and writes certificates, keys, CSRs, and bundles to disk.

%prep
%setup -n %{name}

%build
export GOPATH=%{_builddir}/%{name}/go
cd %{_builddir}/%{name}/go/src/github.com/cloudflare/%{name}
go install ./cmd/...

%install
%{__install} -Dpm 755 "%{_builddir}/%{name}/go/bin/cfssl" %{buildroot}%{_bindir}/cfssl
%{__install} -Dpm 755 "%{_builddir}/%{name}/go/bin/cfssljson" %{buildroot}%{_bindir}/cfssljson
%{__install} -Dpm 755 "%{_builddir}/%{name}/go/bin/mkbundle" %{buildroot}%{_bindir}/mkbundle
%{__install} -Dpm 755 "%{_builddir}/%{name}/go/bin/multirootca" %{buildroot}%{_bindir}/multirootca

%files
%{_bindir}/cfssl
%{_bindir}/cfssljson
%{_bindir}/mkbundle
%{_bindir}/multirootca

%changelog
* Wed Dec 26 2018 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.3.2-1.1.gitb94e044
- 1.3.2

* Fri Jun  9 2017 <hnakamur@gmail.com> - 1.2.0-1.1.9c06c53
- Initial release
